<?xml version="1.0" encoding="UTF-8"?>
<!--
 * The contents of this file are subject to the terms of the Common Development and
 * Distribution License (the License). You may not use this file except in compliance with the
 * License.
 *
 * You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
 * specific language governing permission and limitations under the License.
 *
 * When distributing Covered Software, include this CDDL Header Notice in each file and include
 * the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
 * Header, with the fields enclosed by brackets [] replaced by your own identifying
 * information: "Portions copyright [year] [name of copyright owner]".
 *
 * Copyright 2012-2016 ForgeRock AS.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <!-- Parent Project -->
    <parent>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-tools</artifactId>
        <version>14.5.3-SNAPSHOT</version>
    </parent>

    <!-- Component Definition -->
    <name>OpenAM Install Tools</name>
    <description>OpenAM Install Tool Components</description>
    <artifactId>openam-installtools</artifactId>
    <packaging>jar</packaging>

    <properties>
        <shade.package>org.forgerock.openam.sdk</shade.package>
    </properties>

    <!-- Build -->
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <systemPropertyVariables>
                        <com.sun.identity.product.logs.dir>${project.build.testOutputDirectory}</com.sun.identity.product.logs.dir>
                    </systemPropertyVariables>
                </configuration>
            </plugin>
            <!-- Repackage this artifact as an uber-jar containing all dependencies to avoid updating all agents build scripts. -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>shade</goal>
                        </goals>
                        <configuration>
                            <shadedArtifactAttached>false</shadedArtifactAttached>
                            <createDependencyReducedPom>true</createDependencyReducedPom>
                            <shadeSourcesContent>true</shadeSourcesContent>
                            <createSourcesJar>false</createSourcesJar>
                            <keepDependenciesWithProvidedScope>true</keepDependenciesWithProvidedScope>
							<transformers>
                                <transformer implementation="org.apache.maven.plugins.shade.resource.ServicesResourceTransformer" />
                            </transformers>
                            <relocations>
                                <relocation>
                                    <pattern>org/</pattern>
                                    <shadedPattern>${shade.package}.org.</shadedPattern>
                                    <excludes>
                                        <exclude>org.forgerock.openam.**.*</exclude>
                                        <exclude>org.w3c.dom.**.*</exclude>
                                        <exclude>org.xml.sax.**.*</exclude>
                                    </excludes>
                                </relocation>
                                <relocation>
                                    <pattern>com/</pattern>
                                    <shadedPattern>${shade.package}.com.</shadedPattern>
                                    <excludes>
                                        <exclude>com.sun.identity.**.*</exclude>
                                        <exclude>com.iplanet.**.*</exclude>
                                        <exclude>com.google.**.*</exclude>
                                    </excludes>
                                </relocation>
                                <relocation>
                                    <pattern>javax.inject</pattern>
                                    <shadedPattern>${shade.package}.javax.inject</shadedPattern>
                                </relocation>
                                <relocation>
                                    <pattern>javax.mail</pattern>
                                    <shadedPattern>${shade.package}.javax.mail</shadedPattern>
                                </relocation>
                                <relocation>
                                    <pattern>javax.activation</pattern>
                                    <shadedPattern>${shade.package}.javax.activation</shadedPattern>
                                </relocation>
                            </relocations>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    <dependencies>
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-installtools-launcher</artifactId>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-license-manager-cli</artifactId>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-nop</artifactId>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.testng</groupId>
            <artifactId>testng</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>
</project>
